<script>
<?php if($start->view->alsavalues){ ?>
	<?php foreach ($start->view->alsavalues as $key => $value) { 
		$key = str_replace(' ','_', $key); ?>
		$(function() {
			$( "#<?php echo $key ?>-slider" ).slider({
				range: "min",
				min: <?php echo $value['min'] ?>,
				value: $( "#<?php echo $key ?>" ).attr('value'),
				max: <?php echo $value['max'] ?>,
				slide: function( event, ui ) {
					$( "#<?php echo $key ?>" ).val( ui.value );
				}
			});
		});
<?php }} ?>	
</script>

<h1 class="entry-header">
	<?php echo _t("Max2Play - JustBoom Edition") ?>
</h1>
	
<div class="entry-content">
    <?php $message=$start->view->message;
    	  $error=$start->view->error; 
    	  include(APPLICATION_PATH.'/view/messages.php');?>
			
	<form action="" method="post" id="form1">
		<input type="hidden" id="action" name="action" value="" />		
		<b><?php echo _t('Your installed Justboom Card') ?>:</b>&nbsp;
		<select name="dtoverlay">			
		<?php foreach ($start->usbSoundCards as $card => $value) { ?>
			<option value="<?php echo $card ?>" <?php if ($start->view->dtoverlay == $card) echo 'selected'; ?>><?php echo $value['name'] ?></option>
		<?php } ?>			
		</select>
		<a class="button-small clickloading" href="#" onclick="document.getElementById('action').value='save_dtoverlay';$('#form1').submit();"><?php echo _("save") ?></a>		
		<?php if($start->view->alsavalues){ ?>
			<br /><br />
			<div style="float:left;width:70%;">
				<?php foreach ($start->view->alsavalues as $key => $value) { ?>
					<label for="<?php echo str_replace(' ','_', $key) ?>"><?php echo _t("Settings for "). $value['description'] ?></label>
					<input type="text" id="<?php echo str_replace(' ','_', $key) ?>" name="<?php echo str_replace(' ','_', $key) ?>" value="<?php echo $value['value'] ?>" readonly style="width:40px;border:0; color:#f6931f; font-weight:bold;">
					<div id="<?php echo str_replace(' ','_', $key) ?>-slider"></div>
					<br />				
				<?php }?>
			</div>
			<div style="float:left;width:25%;margin-left:19px;">
			<?php echo _t("Set up volume and boost to suit your needs. Set to optimum value for best performance and click save.")?>
			</div>						
			<br style="width:100%;clear:both;" />
		<?php }?>
		<br /><br />
		
		<?php if($start->easyinstaller == 1) include_once(APPLICATION_PATH.'/plugins/max2play_settings/view/easyinstaller.php'); ?>
		<br />
		
		<h2><?php echo _t("Additional Settings for Justboom-Cards")?></h2>		
		 <div id="tabs-min">
		  <ul>
		    <li><a href="#tabs-1"><?php echo _t("Rotary Encoder");?></a></li>
		    <li><a href="#tabs-2"><?php echo _t("IR-Control");?></a></li>
		    <li><a href="#tabs-3"><?php echo _t("Smart Remote");?></a></li>    
		  </ul>
		  <div id="tabs-1">
		    <p>
		    <?php echo _t("See detailed instructions on");?>: <a href="https://www.max2play.com/en/2016/12/rotary-encoder-ist-now-compatible-with-justboom-sound-cards/" target="_blank" title="HowTo Connect the rotary encoder"><?php echo _t("How to connect and setup the rotary encoder for your harware.")?></a>
		    <br /><br />
		    <?php echo _t("Use the rotary encoder as a hardware volume control for your Soundcard. The installer sets up everything and adds software to Autostart on Boot.");?><br />
		 	<?php echo _t("When using the rotary encoder with Squeezelite, make sure to use hardware volume control and additionally set the Alsa-Sync option in command line options of Squeezelite");?>: <br>
		 	<code>-o hw:CARD=sndrpijustboomd -V Digital -Q </code>
		 	<br />
		 	<?php echo _t("If you want to set up a GPIO-button (e.g. included in rotary encoder) as Play/Pause for Squeezelite add <code> -X 25 </code> to the command line options of Squeezelite to specify the GPIO-Pin for the button. Update Squeezelite on audioplayer tab, if you have an older version that does not support GPIO-Buttons.");?><br />
		 	<br /><br />
		 	<?php if ($start->rotaryEncoderOptions !== FALSE) { ?>
		 	    <?php if ($start->rotaryEncoderPID) { ?>
		 		  <?php echo _t('Rotary Encoder Software currently running with PID').' <b>'.$start->rotaryEncoderPID ?></b>
		 		<?php } else { ?>
		 		  <?php echo _t('Rotary Encoder Software NOT Running!') ?>
		 		<?php } ?>
		 		<br /><br />
		 		<?php echo _t('Rotary Encoder Start Options').': '; ?><input type="text" size="40" id="rotaryEncoderCommandline" name="rotaryEncoderCommandline" value="<?php echo $start->rotaryEncoderCommandline; ?>" /> 
		 			&nbsp;<input type="button" value="<?php echo _('Restart') ?>" name="restart_rotaryencoder" onclick="document.getElementById('action').value='restart_rotaryencoder';submit();" />
		 			<br />
		 		
		 		<a href="#javascript" onclick='$( "#rotaryOptions" ).toggle();return false;'><?php echo _t("Show Rotary Encoder Options") ?></a><br />
					<textarea id="rotaryOptions" rows="30" cols="70" style="display:none;"><?php echo $start->rotaryEncoderOptions."\n\n##### COMMAND LINE OPTIONS\n"; ?><?php echo $start->rotaryEncoderCommandlinOptions ?>
					</textarea>
		 	<?php } else { ?>
		 		<a class="button-small clickloading" href="#" onclick="document.getElementById('action').value='install_rotaryencoder';$('#form1').submit();"><?php echo _t("Install Rotary Encoder Software") ?></a>
		 	<?php } ?>
		 	<br /><br />
		 	<b><?php echo _t('Autostart Rotary Encoder Software') ?>:</b>
			<input type="checkbox" <?php if($start->autostartrotaryencoder) echo "checked"; ?> value="1" name="autostartrotaryencoder" />
			<input type="button" value="<?php echo _('save') ?>" name="save_autostart_rotaryencoder" onclick="document.getElementById('action').value='save_autostart_rotaryencoder';submit();" />
		 	<br />
		 	
		 	</p>
		  </div>
		  <div id="tabs-2">
		    <p>
		      <?php echo _t("Install and Setup IR-support for using the Justboom Remote to control either Squeezelite, MPD or Jivelite. You may change see the button configuration below.");?><br /><br />
		      <?php if ($start->irMode) { ?>
		      	  <b><?php echo _t('Currently installed IR-Mode').': '.$start->irMode ?></b><br />
		      <?php } ?>
		      
		      <?php if ($start->irPID) { ?>
		 		  <?php echo _t('IR Software currently running with PID').' <b>'.$start->irPID ?></b>
		 		<?php } elseif($start->irMode != 'squeezelite') { ?>
		 		  <?php echo _t('IR Software NOT Running!') ?>
		 		<?php } ?>
				<br /><br />
				<?php echo _t('Choose IR purpose to install') ?>: 
				<select name="iroption">
					<option <?php if($start->irMode == 'squeezelite') echo 'selected'; ?> value="squeezelite">Squeezelite Audioplayer</option>
					<option <?php if($start->irMode == 'jivelite') echo 'selected'; ?> value="jivelite">Jivelite (Display connected)</option>
					<option <?php if($start->irMode == 'mpd') echo 'selected'; ?> value="mpd">MPD (Music player daemon)</option>
					<option <?php if($start->irMode == 'kodi') echo 'selected'; ?> value="kodi">Kodi (Video player)</option>
				</select><br /><br />
				<a class="button-small clickloading" href="#" onclick="document.getElementById('action').value='install_ir';$('#form1').submit();"><?php echo _t("Install IR-Support") ?></a>
				<br /><br />
				
		 		<?php echo _t("IR-Support is based on lirc and lirc configuration files. Squeezelite has native IR-Support and needs an additional command line parameter to use IR. MPD uses irexec and Jivelite uses irxevent to react on IR input.");?><br />
		 		<br /><br />		 		
		 		
		 		<?php if ($start->irMode){ ?>
			 		<?php echo _t('You may edit the button configuration for your remote to change the event that is executed for every button.') ?>
			 		<a href="#javascript" onclick='$( "#irButtonConfig" ).toggle();return false;'><?php echo _t("Edit IR-Button-Configuration for").' '.$start->irMode ?></a><br />
					<div id="irButtonConfig" style="display:none;">
						<textarea name="irButtonConfig" rows="30" cols="70"><?php echo $start->irConfig ?>
						</textarea><br />
						<input type="button" value="<?php echo _('Save') ?>" name="save_irbuttonconfig" onclick="document.getElementById('action').value='save_irButtonConfig';submit();" />&nbsp;
						<input type="button" value="<?php echo _('Reset with Defaults') ?>" name="save_irbuttonreset" onclick="document.getElementById('action').value='save_irButtonReset';submit();" />
			 		</div>
			 		
			 		<br /><br />
			 		<?php echo _t('To use other remotes than the Justboom Remote you need to modify the definition of the remote configuration with IR-Codes (/etc/lirc/lircd.conf).') ?>
			 		<a style="" href="#javascript" onclick='$( "#irLircConfig" ).toggle();return false;'><?php echo _t("Edit Lirc-IR-Configuration") ?></a><br />
					<div id="irLircConfig" style="display:none;">
						<textarea name="irLircConfig" rows="30" cols="70"><?php echo $start->irLircConfig ?>
						</textarea><br />
						<input type="button" value="<?php echo _('Save') ?>" name="save_irlircconfig" onclick="document.getElementById('action').value='save_irLircConfig';submit();" />
						<input type="button" value="<?php echo _('Reset with Defaults') ?>" name="save_irlircreset" onclick="document.getElementById('action').value='save_irLircReset';submit();" />
			 		</div>
			 	<?php } ?>
		    </p>
		  </div>
		  <div id="tabs-3">
		    <p>
		      <?php if(!$start->smartRemoteConfig){ ?>
		      	<b><?php echo _t("Click save or reset button to create the default keymapping file!")?></b><br />
		      <?php } ?>
		      <?php echo _t("Install and Setup Keymapping for the Justboom Smart Remote to control either Squeezelite, MPD or Jivelite. You may change the button configuration below.");?><br /><br />
		      <?php echo _t("The default shows the configuration for Jivelite.<br />Jivelite keys: <a target='_blank' href='https://github.com/ralph-irving/tcz-lirc/blob/master/jivekeys.csv'>https://github.com/ralph-irving/tcz-lirc/blob/master/jivekeys.csv</a>");?><br />
		      <?php echo _t("Justboom SmartRemote Keys: <a target='_blank' href='https://github.com/PiSupply/JustBoom#smart-remote-hex-codes'>https://github.com/PiSupply/JustBoom#smart-remote-hex-codes</a>");?><br /><br /> 
    			<div id="smartRemoteConfig">
    				<textarea name="smartRemoteConfig" rows="10" cols="70"><?php echo $start->smartRemoteConfig ?>
    				</textarea><br />
    				<input type="button" value="<?php echo _('Save') ?>" name="save_smartRemoteConfig" onclick="document.getElementById('action').value='save_smartRemoteConfig';submit();" />
    				<input type="button" value="<?php echo _('Reset with Defaults') ?>" name="save_smartRemoteReset" onclick="document.getElementById('action').value='save_smartRemoteReset';submit();" />
    	 		</div>
		    </p>
		  </div>  
		</div>
	
	  <script>
	  $(function() {
	    $( "#tabs-min" ).tabs();
	  });
	  </script>
		
	 <br /><br />	
			
	</form>
	
	<h2><?php echo _("Welcome to Max2Play - Your easy to use Interface for Multiroom-Audio and Video!")?></h2>	
	<br />
	<?php echo _("The Max2Play Web Interface is used to configure the device without having to set up monitor, keyboard and mouse on the device itsself or login by ssh.<br />All settings are directly written to the players config files."); ?><br />  
	<br />	
		
	<?php echo _("Max2Play gives you the best experience with High-Quality Sound together with an easy configuration and control. With the extensions of Max2Play you can easily choose and install new features like the following:")?>	
	<br /><br />
	
	<h1 class="entry-header">
		<?php echo _("Features with Max2Play"); ?>
	</h1>
	<ul class="description">
	<li><?php echo str_replace('|', '</li><li>', _("!FEATURE LIST")); ?>
	</li>
	</ul>
	
	<h1 class="entry-header">
		<?php echo _("Premium Features with Max2Play"); ?>
	</h1>
	<ul class="description">
	<li><?php echo str_replace('|', '</li><li>', _("!FEATURE LIST PREMIUM")); ?>
	</li>
	</ul>
	<a style="float:left;" href="https://shop.max2play.com/en/max2play-full-license.html/" target="_blank"><img src="http://shop.max2play.com/media/wysiwyg/Premium-box-en_white.png" /></a>		
	<br /><br />
	<?php echo _("<b>Max2Play</b> makes the configuration as easy as possible. There is no need for connecting a monitor, a keyboard or a mouse on the device itself. It all runs headless and no special tools like Putty are needed! This webinterface is optimized for smartphones and all actions can also be called from external HTTP-Requests like Smarthome-Servers."); ?>
	
	<br style="clear:both" />
	<br />
	  	
	<h3><?php echo _("What is Max2Play?")?></h3>
	<br />	
	<iframe width="560" height="315" src="<?php echo _("//www.youtube.com/embed/pZB4aSiW4c0")?>" frameborder="0" allowfullscreen></iframe>	
	
	<br /><br />
	<?php echo _('Questions concerning this project? Please refer to <a href="http://www.max2play.com" target="_blank">www.Max2Play.com</a>') ?><br />	
		
</div>	